"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.processLessToRpx = exports.processLess = void 0;
const postcss_1 = __importDefault(require("postcss"));
const less_1 = __importDefault(require("less"));
const postcss_pxtorem_1 = __importDefault(require("postcss-pxtorem"));
const postcss_rpx_1 = __importDefault(require("./postcss-rpx"));
const config_1 = require("../config");
async function processLess(lessCode) {
    const { css: lessCss } = await less_1.default.render(lessCode);
    const { css: remCss } = await (0, postcss_1.default)([(0, postcss_pxtorem_1.default)(config_1.remConfig)]).process(lessCss);
    return remCss;
}
exports.processLess = processLess;
async function processLessToRpx(lessCode) {
    const { css: lessCss } = await less_1.default.render(lessCode);
    const { css: rpxCss } = await (0, postcss_1.default)([(0, postcss_rpx_1.default)(config_1.rpxConfig)]).process(lessCss);
    return rpxCss;
}
exports.processLessToRpx = processLessToRpx;
