import { IWebRuntimeAppData } from '../weapps-core';
export declare const CLOUD_FUNCTION_TYPE = "cloud-function";
export declare const EXTERNAL_FUNCTION_TYPE = "http";
export declare const DATABASE_TYPE = "database";
/**
 * 获取数据源云函数文件名称及数据源本地云函数文件名称
 * @param dsConfig 数据源配置
 */
export declare function getDatasourceResourceName(datasrouce: any, mode: any): string;
export declare function getAppDatasourceResourceName(appId: any, datasrouce: any, mode: any): string;
/**
 * 获取数据库 集合名称
 * @param dsConfig 数据源配置
 */
export declare function getDatasourceDatabaseName(dsConfig: any, mode: any): string | null;
/**
 * 将对象的key的首字母转换为小写
 * { UserName: 'xxx', Id: 'xxxx'} => { userName: 'xxx', id: 'xxx' }
 * 默认只处理最外层, 若 deep 为 true, 则递归处理
 */
export declare function lowercaseKey(obj: any, deep?: boolean): any;
/**
 * 标准化从云API获取的数据源结构
 *  1. 将大写转换为小写
 *  2. 将 methods 和 methods 从字符串转换为对象
 */
export declare function standardizeDataSource(ds: any): any;
/**
 * 简化数据源描述信息数组, 以供低码运行时使用
 *  该数组内容应当输出到 template/src/datasources/datasource-profiles.js.tpl 中
 * @param datasources 完整的数据源描述信息数组
 */
export declare function getDatasourceProfiles(datasources: any): any;
/**
 * 获取数据源变量描述信息对象
 *  该对象内容应当输出到 template/src/datasources/datavar-profiles.js.tpl 中
 * @param app 应用描述 JSON 内容
 */
export declare function getDataVarProfiles(appData: IWebRuntimeAppData): {
    $global: any[];
};
export declare function getDatasetProfiles(mainAppData: {
    dataset?: any;
    rootPath?: string;
    pageInstanceList?: {
        dataset?: any;
    }[];
}, apps?: {
    dataset?: any;
    rootPath?: string;
    pageInstanceList?: {
        dataset?: any;
    }[];
}[]): {};
