"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    "/src/app/common.js": {
        "code": "<% mods.forEach((mod) => {%>\n  import * as <%= mod %> from '../lowcode/common/<%= mod %>'<%}) %>\n\n  // 支持 ESM 和 WEBPACK_EMS\n  function getModule(targetModule) {\n    if(\n      Object.prototype.toString.call(targetModule) === '[object Module]'\n      || targetModule.__esModule) {\n      return targetModule.default ? targetModule.default : targetModule\n    }\n    return targetModule.default ? targetModule.default : targetModule\n  }\n\n  export default {\n  <% mods.forEach((mod) => {%>\n    <%= mod %>: getModule(<%= mod %>),<%}) %>\n  }\n"
    },
    "/src/app/global-api.js": {
        "code": "import sdk from '@tcwd/weapps-sdk/lib/app-h5-sdk';\nimport { _isMobile } from '../utils';\nimport { createWebApp, _ACTIONS_KEY as ACTIONS_KEY, _ROUTER_KEY as ROUTER_KEY } from '@cloudbase/weda-client';\nimport { createDataset, EXTRA_API } from '../datasources/index'\n\nexport const subPackageName = '<%= subPackageName %>';\nexport const app = createGlboalApi();\nmountAPIs(sdk);\nfunction createGlboalApi() {\n  const mpApp = createWebApp();\n  const globalAPI = {\n    id: '<%= appId %>',\n    domain: '<%= domain %>',\n    formActions: {},\n    pages: {},\n    state: {},\n    computed: {},\n    common: {},\n    ...mpApp,\n    relaunchHome: function () {\n      const { pages = [] } = globalAPI.utils._getConfig();\n      if (pages[0]) {\n        globalAPI.reLaunch({\n          pageId: pages[0].id,\n        });\n      }\n    },\n    utils: {\n      ...mpApp.utils,\n      _getConfig: function () {\n        return <%= appConfig %>;\n      },\n    },\n    // i18n,\n  };\n\n  const dataset = createDataset('$global');\n  globalAPI.dataset = dataset;\n  globalAPI.state.dataset = dataset;\n  globalAPI.setState = (userSetState) => {\n    Object.keys(userSetState).forEach((keyPath) => {\n      globalAPI.utils.set(\n        globalAPI.dataset.state,\n        keyPath,\n        userSetState[keyPath]\n      );\n    });\n  };\n  /**\n   * 内部通用的设置状态变量值的方法\n   *  varPath 结构为 $global.<变量名> 即全局变量\n   *                $page.<变量名>  即当前页面变量\n   *                <pageId>.<变量名> 指定页面 pageId 的变量 (应当避免修改非当前页面的变量值)\n   */\n  globalAPI._setStateVal = (config) => {\n    EXTRA_API.setState(config.varPath, config.val);\n  };\n  // 给全局挂上 mainApp/subApp\n  // The global api exposed to lowcode\n  if (subPackageName) {\n    globalAPI.mainApp = window[`$$app`];\n    window[`$$subapp_${subPackageName}`] = globalAPI;\n  } else {\n    window['app'] = globalAPI;\n    window[`$$app`] = globalAPI;\n  }\n\n  // 挂运营平台上报对象到app里\n  globalAPI.yyptReport = window.yyptReport;\n\n  // 预览区调试栏可调试\n  // 暴露给复合组件，代码组件来引用\n  window.app = window.app || globalAPI;\n\n  return globalAPI;\n}\n\nexport function createPageApi() {\n  const $page = new Proxy(\n    {\n      state: {},\n      computed: {},\n      handler: {},\n      props: {},\n      widgets: {},\n      // 页面数据源变量存储位置\n      dataVar: {},\n    },\n    {\n      get(obj, prop) {\n        return prop === '$page' ? obj : obj[prop];\n      },\n    }\n  );\n  return $page;\n}\n\n// 分app 和 wx 挂载app\nfunction mountAPIs(sdks) {\n  Object.keys(sdks).forEach((item) => {\n    let action = sdks[item];\n    if (!(item in ACTIONS_KEY) && !(item in ROUTER_KEY)) {\n      app[item] = action;\n    }\n  });\n  return app;\n}\n"
    },
    "/src/app/handlers.js": {
        "code": "<%for(const pageId in pageModules) {\n    pageModules[pageId].filter(mod => mod.type === 'handler-fn' && mod.name !== '____index____').forEach(mod => {%>\nimport <%= pageId%>_<%= mod.name%> from '../lowcode/<%= pageId%>/handler/<%= mod.name%>'<%\n  })\n}%>\n\n<% for(const pageId in pageModules) {%>\nexport const $$_<%=pageId %> = {<%\n    pageModules[pageId].filter(mod => mod.type === 'handler-fn' && mod.name !== '____index____').forEach(mod => {%>\n  ['<%= mod.name%>']: <%= pageId%>_<%= mod.name%>,<%\n  }) %>\n}\n<%}%>\n"
    },
    "/src/datasources/config.js.tpl": {
        "code": "import dataSourceProfiles from './datasource-profiles'\nimport datasetProfiles from './dataset-profiles'\n\nconst config = {\n  /** 当前是否处于正式发布模式 */\n  isProd: <%= isProd %>,\n  /** 低码应用ID */\n  appID: '<%= appID %>',\n  /** 云开发环境ID */\n  envID: '<%= envID %>',\n  /** 应用端ID */\n  tcbClientId: '<%= clientID %>',\n  /** 数据源描述对象数组 */\n  dataSourceProfiles: dataSourceProfiles,\n  /**\n   * 新的dataset变量配置对象\n   *  key 为页面ID(全局为$global), val 为变量配置数组\n   */\n  datasetProfiles: datasetProfiles,\n  /**\n   * 是否开启私有化\n   */\n  isPrivate: window._isPrivate || false\n}\n\n/**\n * 数据源基本配置\n */\nexport default config\n"
    },
    "/src/datasources/dataset-profiles.js.tpl": {
        "code": "/**\n * 全局及页面的数据源变量定义文件\n */\n\nexport default <%= datasetProfiles %>\n"
    },
    "/src/datasources/datasource-profiles.js.tpl": {
        "code": "/**\n * 数据源摘要描述数组\n */\nexport default <%= datasourceProfiles %>\n"
    },
    "/src/index.jsx": {
        "code": "import * as React from 'react';\nimport * as ReactDOM from 'react-dom';\nimport App from './router';\n// 引入数据源管理器并进行初始化\n// import i18nData from './i18n/index.js'\n\n(function () {\n  function flex() {\n    try {\n      let htmlDom = document.documentElement;\n      let width = window.innerWidth || htmlDom.clientWidth;\n      let fontSize = width / (375 / 14);\n      if (\n        !navigator.userAgent.match(\n          /(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|IEMobile)/i\n        ) &&\n        fontSize > 14\n      ) {\n        htmlDom.style.fontSize = `14px`;\n      } else {\n        htmlDom.style.fontSize = fontSize + `px`;\n      }\n    } catch (e) {\n      console.error(e);\n    }\n  }\n\n  flex();\n  window.addEventListener('resize', flex);\n})();\n\n// 使用HMR\n// if(process.env.compileTool === 'vite') {\n//   if (import.meta.hot) {\n//     import.meta.hot.accept()\n//   }\n// } else {\n// if (process.env.NODE_ENV !== 'production') {\n//   if (module.hot) {\n//     module.hot.accept();\n//   }\n// }\n// }\n\nfunction render(props = null) {\n  const container =\n    props && props.container\n      ? props.container.querySelector('#root')\n      : document.getElementById('root');\n\n  ReactDOM.render(\n    <App />,\n    container\n  );\n}\n\n// if (!process.env.isAdminPortal) {\nif (!window['__POWERED_BY_QIANKUN__']) {\n  render();\n} else {\n  __webpack_public_path__ = window.__INJECTED_PUBLIC_PATH_BY_QIANKUN__;\n}\n\n/**\n * bootstrap 只会在微应用初始化的时候调用一次，下次微应用重新进入时会直接调用 mount 钩子，不会再重复触发 bootstrap。\n * 通常我们可以在这里做一些全局变量的初始化，比如不会在 unmount 阶段被销毁的应用级别的缓存等。\n */\nasync function bootstrap() {\n  console.log('react app bootstraped');\n}\n\n/**\n * 应用每次进入都会调用 mount 方法，通常我们在这里触发应用的渲染方法\n */\nasync function mount(props) {\n  render(props);\n}\n\n/**\n * 应用每次切出/卸载 会调用的方法，通常在这里我们会卸载微应用的应用实例\n */\nasync function unmount(props) {\n  ReactDOM.unmountComponentAtNode(\n    props.container\n      ? props.container.querySelector('#root')\n      : document.getElementById('root')\n  );\n}\n\nexport function register(key = '') {\n  ((global) => {\n    if (key) {\n      global[key] = {\n        bootstrap,\n        mount,\n        unmount,\n      };\n    }\n  })(window);\n}\n\n<% if(adminPortalKey){ %>\nregister('<%= adminPortalKey %>')\n<% } %>\n"
    },
    "/src/pages/api.tpl": {
        "code": "import { createPageApi } from '@cloudbase/lowcode-render' // 取主包app\nexport const $page = createPageApi()\n"
    },
    "/src/pages/app.tpl": {
        "code": "// Import Libs and Handlers\nimport * as React from 'react'\nimport { get } from 'lodash'\nimport { app } from '../../app/global-api' // 取对应子包app\nconst $app = new Proxy({}, { get: function(obj, prop){ return app[prop] }});\nimport PageLifeCycle from '../../lowcode/<%= pageName %>/lifecycle'\nimport initPageState from '../../lowcode/<%= pageName %>/state'\nimport computed from '../../lowcode/<%= pageName %>/computed'\n// import pageAPI from '../../lowcode/<%= pageName %>/index';\nimport { $$_<%= pageName %> as handler } from '../../app/handlers'\nimport { $page } from './api'\nimport { PageRender } from '@cloudbase/lowcode-render'\nimport '../../lowcode/<%= pageName %>/style.css'\n\n// Import dependencies entry\n<%= entryImports %>\n\n// Import Components\n<%= componentImports %>\n\n// Import Actions\n<%= actionImports %>\n\nconst virtualFields = {\n  <% useComponents.forEach(compItem => {%>\n  '<%= compItem.materialName %>:<%= compItem.name %>': React.forwardRef((props,ref) => <<%= upperFirst(compItem.variableName) %> {...resolveComponentProps(props,  <%= compItem.isPlainProps? 1:0 %>)} pageVirtualFields={virtualFields} ref={ref}/>),\n  <% }) %>\n};\n\n// Init\nexport default function App({\n  cals,\n  pageId,\n  componentsMap,\n}) {\n  // 检查权限\n  const page = cals.items.find((item) => item.id === pageId);\n\n  const [lowcodeLoaded, setLowcodeLoaded] = React.useState(true);\n\n  /*\n  <style\n    type=\"text/css\"\n    dangerouslySetInnerHTML={{\n      __html: `<%= pageStyleText %>`,\n    }}\n  />\n  */\n\n  return lowcodeLoaded ? (\n    <PageRender\n      page={page as any}\n      generateActionsMap={() => ({})}\n      generateComponentsMap={() => {\n        return virtualFields;\n      }}\n      generateLowcodeModule={() => {\n        return {\n          state: initPageState,\n          computed: computed,\n          lifecycle: PageLifeCycle,\n          handler: handler,\n          style: [],\n        };\n      }}\n      generateContext={(ctx, page) => {\n        const widgets = <%= widgets %>;\n        const dataBinds = <%= dataBinds %>;\n        const componentSchema = <%= componentSchema %>;\n\n        return {\n          widgetContext: widgets,\n          componentSchema,\n          dataBinds,\n        };\n      }}\n      injectContext={{\n        $page,\n      }}\n    />\n  ) : null;\n}\n"
    },
    "/src/pages/composite.tpl": {
        "code": "import * as React from \"react\";\nimport { observer } from \"mobx-react-lite\";\nimport { observable, runInAction } from \"mobx\";\nimport { get } from 'lodash'\nimport { AppRender } from \"@cloudbase/lowcode-render\";\nimport { createWidgets, retryDataBinds, WidgetsContext, bindFuncObj, createComputed, resolveComponentProps} from '/src/utils/index'\nimport getStateFn from \"./lowcode/state.js\";\nimport computed from \"./lowcode/computed.js\";\nimport lifecycle from \"./lowcode/lifecycle.js\";\n// import { app, $page } from '../../../../app/global-api'\n<% if(isSandbox) { %>\nimport { ErrorBoundary } from 'react-error-boundary'\nimport { createErrorFallback } from '/src/utils/error'\n<% } %>\n\n<% handlersImports.forEach(handler => { %>\nimport handler$<%= handler.name %> from \"./lowcode/handler/<%= handler.name %>.js\";\n<% }) %>\n\n// Import Components outof sandbox\n<% let componentsMap = {}; useComponents.forEach(compItem => {%>\n<%if(!isSandbox && compItem.entries && compItem.entries.components){ %>\nimport { <%= compItem.name %> as <%= compItem.var %> } from \"/src/libraries/<%= compItem.moduleName %>@<%= compItem.version %>/<%= compItem.entries.components %>\";\n<%} else if(!isSandbox && compItem.entries && compItem.entries.entry){ %><% if(!componentsMap[compItem.moduleName]){ componentsMap[compItem.moduleName] = true %>\nimport <%= compItem.moduleNameVar %> from \"/src/libraries/<%= compItem.moduleName %>@<%= compItem.version %>/<%= compItem.entries.entry %>\";\n<% } %>const { <%= compItem.name %>: <%= compItem.var %> } = <%= compItem.moduleNameVar %>.components\n<% } else if(!isSandbox) { %>\nimport <%= compItem.var %> from \"/src/libraries/<%= compItem.moduleName %>@<%= compItem.version %>/components/<%= compItem.name %>\";\n<% } %>\n<%}) %>\n\nimport * as constObj from '../../libCommonRes/const'\nimport * as toolsObj from '../../libCommonRes/tools'\n\nimport \"./lowcode/style.css\";\n\nclass CompositeCompWrapper extends React.Component {\n\n  $WEAPPS_COMP = {}\n\n  componentDidUpdate() {\n    runInAction(() => {\n      const { data } = this.props\n      for(let prop in data) {\n        // 更新 propsData\n        if (typeof data[prop] !== 'function') {\n          this.propsData[prop] = data[prop]\n        }\n      }\n    })\n  }\n\n\n  constructor(props) {\n    super(props);\n\n    this.compConfig = <%= JSON.stringify(compConfig, null, 2) %>\n\n    // Import Components in sandbox\n    <% useComponents.forEach(compItem => {%>\n    <% if(isSandbox){ %>\n    const <%= compItem.var %> = window[\"@weapps-materials-main-<%= compItem.moduleName %>\"].components[\"<%= compItem.name %>\"];\n    <% } %>\n    <%}) %>\n\n    this.virtualFields = Object.assign({}, props.pageVirtualFields || {}, {\n    <% useComponents.forEach(compItem => {%>\n      \"<%= compItem.key %>\": React.forwardRef((props,ref) => <<%= compItem.var %> {...resolveComponentProps(props,  <%= compItem.isPlainProps? 1:0 %>)} ref={ref}/>),\n    <%}) %>\n    });\n\n    // 挂载给到 $comp.props.events 使用\n    this.events = (<%= emitEvents %>).reduce((obj, trigger) => {\n      obj[trigger] = (eventData, domEvent) => {\n        this.props.emit(trigger, eventData)\n        // this.props.emit(trigger, eventData, domEvent);\n        // this.node._listeners && this.node._listeners.emit(trigger, eventData, domEvent)\n      };\n      return obj;\n    }, {});\n    this.handler = this.$WEAPPS_COMP.handler = {\n      <% handlersImports.forEach(handler => { %>\n      <%= handler.name %>: handler$<%= handler.name %>.bind(this),\n      <% }) %>\n    };\n    this.componentSchema = <%= componentSchema %>;\n    const widgetContext = <%= widgets %>\n    const dataBinds = this._dataBinds = <%= dataBinds %>\n    const defaultProps = <%= JSON.stringify(defaultProps, null, 2) %>\n    this.propsData = observable(Object.assign({}, defaultProps, this.props.data || {}))\n    this.$WEAPPS_COMP.lib = { const: constObj, tools: toolsObj }\n    this.$WEAPPS_COMP.props = { ...this.props, events: this.events, data: this.propsData }\n    this.state = this.$WEAPPS_COMP.state = observable(getStateFn.bind(this)())\n    this.computed = this.$WEAPPS_COMP.computed = createComputed(computed, this)\n    this.node = this.$WEAPPS_COMP.node = this.createWidgetNode(this) || {}\n    this.widgets = this.$WEAPPS_COMP.widgets = createWidgets(widgetContext, dataBinds)\n    // widgets 内的 dataBinds 可能需要关联 widgets，需要重新执行 dataBinds\n    retryDataBinds()\n    Object.keys(this.widgets || {}).forEach(widgetId => {\n      // 将实例 ownerWidget 挂到内部组件上。内部组件就可以通过 $comp.node.ownerWidget 获取到所在的组件实例\n      const node = this.widgets[widgetId]\n      if (Array.isArray(node)) {\n        node.forEach(item => {\n          item.ownerWidget = this.node;\n          item.getOwnerWidget = () => this.node;\n        })\n      }\n      else {\n        node.ownerWidget = this.node\n        node.getOwnerWidget = () => this.node\n      }\n    })\n\n    this.pageListenerInstances = [];\n    this.createCompAPI(this)\n  }\n\n  // 创建自身节点\n  createWidgetNode(compThis) {\n    // 当为数组时，需要判断自己属于 widgets 的哪一项\n    const {\n      compositeParent,\n      forIndexes,\n      id\n    } = compThis.props\n    let widgetData = compositeParent.$WEAPPS_COMP\n      ? compositeParent.$WEAPPS_COMP.widgets[id]\n      : compositeParent.$page.widgets[id]\n    if(Array.isArray(widgetData)) {\n      widgetData = widgetData.length > 0 ? get(widgetData, forIndexes) : {}\n    }\n    widgetData = widgetData || {}\n    Object.assign(widgetData, {\n        getConfig: () => compThis.compConfig,\n        getOwnerWidget: () => compThis.node.ownerWidget\n      }\n    )\n\n    return widgetData\n  }\n\n  createCompAPI(compThis) {\n    const { forwardRef } = compThis.props || {};\n    compThis.$WEAPPS_COMP = {\n      _dataBinds: compThis._dataBinds,\n      compConfig: compThis.compConfig,\n      widgets: compThis.widgets,\n      node: compThis.node,\n      handler: compThis.handler,\n      lib: { const: constObj, tools: toolsObj },\n      get props() {\n        const { forwardRef, ...restProps } = compThis.props || {};\n        return {...restProps, events: compThis.events, data: compThis.propsData }\n      },\n      get state() {\n        return compThis.state\n      },\n      get computed() {\n        return compThis.computed\n      },\n      get _instanceRef() {\n        return forwardRef\n      },\n      get methods() {\n        return forwardRef.current?.methods\n      },\n      set methods(value) {\n        if(!forwardRef.current) {\n          forwardRef.current = {}\n        }\n        forwardRef.current.methods = value\n        return value\n      }\n    };\n  }\n\n  componentDidMount() {\n    const onAttached = lifecycle.onAttached && lifecycle.onAttached.bind(this)\n    Promise.resolve(onAttached()).then(()=>{\n      lifecycle.onReady && lifecycle.onReady.bind(this)()\n    })\n  }\n\n  componentWillUnmount() {\n    // this.node._listeners && this.node._listeners.clear()\n    lifecycle.onDetached && lifecycle.onDetached.bind(this)()\n    this.$WEAPPS_COMP._instanceRef.current = undefined\n  }\n\n  render() {\n    return (\n      <WidgetsContext.Provider value={{ parent: this }}>\n        <AppRender\n          className={this.props.className}\n          virtualFields={this.virtualFields}\n          componentSchema={this.componentSchema}\n          codeContext={this}\n        />\n      </WidgetsContext.Provider>\n    );\n  }\n}\n\nCompositeCompWrapper.contextType = WidgetsContext\n\nexport default observer((props, _ref) => (\n  <% if(isSandbox) { %>\n  <ErrorBoundary FallbackComponent={createErrorFallback('<%= name %>', '<%= id %>')}>\n  <% } %>\n    <CompositeCompWrapper {...props}  forwardRef={_ref}></CompositeCompWrapper>\n  <% if(isSandbox) { %>\n  </ErrorBoundary>\n  <% } %>\n), { forwardRef: true });\n\n"
    },
    "/src/router/data.js.tpl": {
        "code": "export default <%= cals %>;\n\nexport const dependencies = <%= dependencies %>;\n"
    },
    "/src/router/index.js.tpl": {
        "code": "import * as React from 'react';\nimport { WedaApp, PageRender } from '@cloudbase/lowcode-render';\nimport { default as data, dependencies } from './data';\nimport config from '../datasources/config';\nimport { loadDependencies } from '../utils/adapter/dependencies';\nimport lowcodeModulesMap from '../lowcode/index'\n\nexport default function App() {\n  return (\n    <WedaApp\n      cals={data}\n      dependencies={dependencies}\n      historyOption={{\n        type:\n          process.env.isApp ||\n          process.env.isAdminPortal ||\n          process.env.historyType === 'HASH'\n            ? 'HASH'\n            : 'BROWSER',\n        basename: '<%= basename %>',\n        _indexPage: <%= context.history._indexPage ? 'true': 'false' %>\n      }}\n      _processDependencies={(deps)=>{\n        return deps\n      }}\n      loadDependencies={loadDependencies}\n      loadLowcodes={async (cals) => {\n        return lowcodeModulesMap\n      }}\n      context={{\n        basic: <%= context.basic ? 'true': 'false' %>,\n        getDatasourceConfig: () => {\n          return config;\n        },\n        checkPageAuth: <%= context.checkPageAuth %>\n      }}\n      ErrorBoundary={React.Fragment}\n    ></WedaApp>\n  );\n}\n"
    },
    "/src/store/computed.js": {
        "code": "// import all state of all pages & global\nimport globalComputed from '../lowcode/computed'\n<% pageIds.forEach(function(pageId) { %>import <%= pageId %>Computed from '../lowcode/<%= pageId%>/computed';\n<% }); %>\n\nconst computed = {\n  global: globalComputed,<% pageIds.forEach(function(pageId) { %>\n  <%= pageId %>: <%= pageId %>Computed,<% }); %>\n};\n\nexport default computed;\n"
    },
    "/src/store/index.js": {
        "code": "import { observable } from 'mobx';\nimport initState from '../lowcode/state';\n\nconst globalState = observable(initState);\nexport default globalState;\n"
    },
    "/src/utils/adapter/dependencies.jsx": {
        "code": "import { resolveComponentProps } from '../common'\n// Import dependencies entry\n<%= entryImports %>\n\n// Import Components\n<%= componentImports %>\n\n// Import Actions\n<%= actionImports %>\n\nconst componentsMap = {\n  <% useComponents.forEach(compItem => {%>\n  '<%= compItem.materialName %>:<%= compItem.name %>': React.forwardRef((props,ref) => <<%= upperFirst(compItem.variableName) %> {...resolveComponentProps(props,  <%= compItem.isPlainProps? 1:0 %>)} pageVirtualFields={componentsMap} ref={ref}/>),\n  <% }) %>\n};\n\nconst componentActionsMap = {\n  <% useMaterialActions.forEach(action => {%>\n    '<%= action.materialName %>:<%= action.name %>': <%= action.variableName %>,\n  <% }) %>\n}\n\nconst controlMap = <%= controlMap %>;\n\nif(!window[`@weapps-materials-main-<%= OFFICIAL_LIB_KEY %>`]) {\n  window[`@weapps-materials-main-<%= OFFICIAL_LIB_KEY %>`] = {\n    actions: $$OFFICIAL_ACTION\n  }\n}\n\nexport async function loadDependencies() {\n  return {\n    controlMap,\n    componentsMap,\n    componentActionsMap\n  }\n}\n\n"
    },
    "/src/utils/common.js": {
        "code": "/**\n * 对函数进行批量绑定\n * @param {*} funcObj\n * @param {*} context\n */\nexport function bindFuncObj(funcObj = {}, context) {\n  return Object.keys(funcObj).reduce((obj, fnName) => {\n    obj[fnName] = funcObj[fnName].bind(context);\n    return obj;\n  }, {});\n}\n\n/**\n * 用于处理自定义组件props传参结构，对系统变量进行保留\n */\nexport function resolveComponentProps(props, isPlainProps) {\n  const { staticResourceAttribute } = props;\n  staticResourceAttribute &&\n    staticResourceAttribute.map((property) => {\n      if (props.data && props.data[property]) {\n        props.data[property] = getStaticResourceAttribute(props.data[property]);\n      }\n    });\n  if (!isPlainProps) {\n    return {\n      ...props,\n    };\n  }\n  const { data = {}, events = [], ...restProps } = props;\n  const customProps = { ...data };\n  const builtinProps = [\n    // react 保留字\n    'ref',\n    'key',\n    'dangerouslySetInnerHTML',\n    'className',\n    'htmlFor',\n    'style',\n    'contentEditable',\n    // lowcode 保留字\n    'events',\n    'children',\n    '_parentId',\n    '_visible',\n    'classList',\n    'widgetType',\n    'getWidgetsByType',\n    'getDom',\n    'domRef',\n    'extends',\n    // 小程序保留字\n    'id',\n    'class',\n    'hidden',\n    'slot',\n  ];\n  // delete builtin props\n  builtinProps.map((prop) => delete customProps[prop]);\n  // 选区events处理\n  const { _selectableBlockEvents, ...restData } = data;\n  const { emit: _selectableBlockEmit } = _selectableBlockEvents;\n  _selectableBlockEvents.events = new Proxy(\n    _selectableBlockEvents.events.reduce((events, item) => {\n      const propName = item;\n      events[propName] = (e) => _selectableBlockEmit(propName, e);\n      return events;\n    }, {}),\n    {\n      get(obj, prop) {\n        return prop in obj ? obj[prop] : (e) => _selectableBlockEmit(prop, e);\n      },\n    },\n  );\n  return {\n    ...restData,\n    ...restProps,\n    _selectableBlockEvents,\n    events: new Proxy(\n      events.reduce((events, item) => {\n        const propName = item;\n        events[propName] = (e) => restProps.emit(propName, e);\n        return events;\n      }, {}),\n      {\n        get(obj, prop) {\n          return prop in obj ? obj[prop] : (e) => restProps.emit(prop, e);\n        },\n      },\n    ),\n  };\n}\n\nfunction getStaticResourceAttribute(staticUrl) {\n  if (/^\\//.test(staticUrl)) {\n    const { domain = '' } = window.app || {};\n    const url = `https://${domain}${staticUrl}`;\n    return url;\n  }\n  return staticUrl;\n}\n"
    },
    "/src/utils/computed.js": {
        "code": "export function createComputed(funcs, bindContext = null) {\n  const obj = {}\n  for (const name in funcs) {\n    Object.defineProperty(obj, name, {\n      get: bindContext ? funcs[name].bind(bindContext) : funcs[name],\n    })\n  }\n  return obj\n}\n"
    },
    "/src/utils/error.jsx": {
        "code": "import React from 'react'\n\nexport function createErrorFallback(cmpKey, id) {\n  return function ComponentErrorFallback(props) {\n    return (\n      <div\n        style={{ color: 'red', display: 'flex', alignItems: 'center' }}\n        title={`组件${cmpKey} ${id}发生了错误，错误信息：${props.error}`}\n      >\n        {cmpKey}组件错误\n      </div>\n    )\n  }\n}\n"
    },
    "/src/utils/eventProxy.js": {
        "code": "/**\n * @author elliothu@tencent.com\n * @date 2019-05-07\n * @desc 事件系统，用于全局通信\n */\n\nexport class EventProxy {\n  proxies = {};\n\n  onceProxies = {};\n\n  on = (eventName, handler) => {\n    if (this.proxies[eventName]) {\n      return this.proxies[eventName].push(handler);\n    }\n    this.proxies[eventName] = [handler];\n  };\n\n  only = (eventName, handler) => {\n    this.proxies[eventName] = [handler];\n  };\n\n  once = (eventName, handler) => {\n    if (this.onceProxies[eventName]) {\n      return this.onceProxies[eventName].push(handler);\n    }\n    this.onceProxies[eventName] = [handler];\n  };\n\n  emit = (eventName, ...args) => {\n    if (this.proxies[eventName]) {\n      this.proxies[eventName].forEach(handler => handler(...args));\n    }\n    if (this.onceProxies[eventName]) {\n      this.onceProxies[eventName].forEach(handler => handler(...args));\n      this.onceProxies[eventName] = [];\n    }\n  };\n\n  cancel = (eventName, handler) => {\n    if (!this.proxies[eventName]) { return; }\n    this.proxies[eventName] = this.proxies[eventName].filter(h => h !== handler);\n  };\n\n  cancelOnce = (eventName, handler) => {\n    if (!this.onceProxies[eventName]) { return; }\n    this.onceProxies[eventName] = this.onceProxies[eventName].filter(h => h !== handler);\n  };\n\n  cancelAll = eventName => {\n    if (!this.proxies[eventName]) { return; }\n    this.proxies[eventName] = [];\n  };\n\n  cancelAllOnce = eventName => {\n    if (!this.onceProxies[eventName]) { return; }\n    this.onceProxies[eventName] = [];\n  };\n\n  clear = () => {\n    this.proxies = {};\n    this.onceProxies = {};\n  };\n}\n"
    },
    "/src/utils/index.js": {
        "code": "export * from './common';\nexport * from './computed';\nexport * from './widgets';\n\nexport function _isMobile() {\n  let check = false;\n  (function (a) {\n    if (\n      /(android|bb\\d+|meego).+mobile|avantgo|bada\\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\\.(browser|link)|vodafone|wap|windows ce|xda|xiino|android|ipad|playbook|silk/i.test(\n        a,\n      ) ||\n      /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\\-(n|u)|c55\\/|capi|ccwa|cdm\\-|cell|chtm|cldc|cmd\\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\\-s|devi|dica|dmob|do(c|p)o|ds(12|\\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\\-|_)|g1 u|g560|gene|gf\\-5|g\\-mo|go(\\.w|od)|gr(ad|un)|haie|hcit|hd\\-(m|p|t)|hei\\-|hi(pt|ta)|hp( i|ip)|hs\\-c|ht(c(\\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\\-(20|go|ma)|i230|iac( |\\-|\\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\\/)|klon|kpt |kwc\\-|kyo(c|k)|le(no|xi)|lg( g|\\/(k|l|u)|50|54|\\-[a-w])|libw|lynx|m1\\-w|m3ga|m50\\/|ma(te|ui|xo)|mc(01|21|ca)|m\\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\\-2|po(ck|rt|se)|prox|psio|pt\\-g|qa\\-a|qc(07|12|21|32|60|\\-[2-7]|i\\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\\-|oo|p\\-)|sdk\\/|se(c(\\-|0|1)|47|mc|nd|ri)|sgh\\-|shar|sie(\\-|m)|sk\\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\\-|v\\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\\-|tdg\\-|tel(i|m)|tim\\-|t\\-mo|to(pl|sh)|ts(70|m\\-|m3|m5)|tx\\-9|up(\\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\\-|your|zeto|zte\\-/i.test(\n        a.substr(0, 4),\n      )\n    )\n      check = true;\n  })(navigator.userAgent || navigator.vendor || window.opera);\n  return check;\n}\n"
    },
    "/src/utils/widgets.js": {
        "code": "import * as React from 'react';\nimport { observable, autorun, untracked } from 'mobx';\nimport { remove } from 'lodash';\nimport { EventProxy } from './eventProxy';\n\nexport const WidgetsContext = React.createContext({ parent: null });\n\nfunction checkVisible({ _visible }) {\n  return _visible !== false && _visible !== '';\n}\n\nfunction findWidgets(widget, parentType, filterFn, includeInvisibleDescendants) {\n  if (!widget) return [];\n\n  let { children = [] } = widget;\n  let matched = children.filter(filterFn);\n\n  // 过滤掉不可见后代\n  if (!includeInvisibleDescendants) {\n    children = children.filter((item) => checkVisible(item));\n  }\n\n  children.forEach((child) => {\n    // 如果递归过程中发现了自己，则停止递归\n    matched = matched.concat(findWidgets(child, parentType, filterFn, includeInvisibleDescendants));\n  });\n\n  // 过滤掉不可见的匹配项\n  if (!includeInvisibleDescendants) {\n    matched = matched.filter((item) => checkVisible(item));\n  }\n\n  return matched;\n}\n\nconst retryQueue = [];\n// 递归执行\nexport function retryDataBinds(tryTime = 10) {\n  const fn = retryQueue.shift();\n  if (!fn || tryTime <= 0) return;\n  try {\n    fn({ showLog: tryTime <= 1 });\n  } catch (e) {\n    console.error('retryDataBinds', e);\n  }\n  retryDataBinds(tryTime - 1);\n}\nexport function createWidgets(widgetProps, dataBinds) {\n  const nodeTree = createWidgetTree(widgetProps, dataBinds);\n  const widgets = runFor(nodeTree, {}, null, null);\n  return widgets;\n\n  /**\n   *\n   * @param {*} curForNode\n   * @param {*} forItems\n   * @param {*} parentLevelWidgets\n   * @param {*} parentWidget\n   * @returns top level widgets or for dispose\n   */\n  function runFor(curForNode, forItems, parentLevelWidgets, parentWidget) {\n    const nodeId = curForNode.id;\n    if (!curForNode.value) {\n      return createSubTree(curForNode, {});\n    }\n    const dispose = autorun(() => {\n      let forList = [];\n      try {\n        forList = dataBinds[nodeId]._waFor(forItems);\n      } catch (e) {\n        console.error('waFor error', e);\n      }\n\n      if (!Array.isArray(forList)) {\n        console.warn(nodeId, 'For 循环绑定的数据并不是数组，请检查');\n        return;\n      }\n\n      // 让 forList 进行监听\n      forList.forEach(() => {});\n      untracked(() => {\n        disposeWidgets(parentLevelWidgets[curForNode.id]);\n\n        // clean nodes of previouse for run\n        dfsTree(curForNode, (node) => {\n          const arr = parentLevelWidgets[node.id];\n          arr.splice(0, arr.length);\n          parentWidget && remove(parentWidget.children, ({ id }) => id === node.id);\n        });\n\n        forList.forEach((item, index) => {\n          const subForItems = { ...forItems, [nodeId]: item };\n          createSubTree(curForNode, subForItems);\n        });\n\n        // 非初始化时遇到需要重新构建 dataBinds\n        retryDataBinds();\n      });\n    });\n\n    return dispose;\n\n    function createSubTree(curForNode, subForItems) {\n      const widgets = {};\n\n      // traverse down the tree to set all widgets\n      dfsTree(curForNode, (node, parentNode) => {\n        if (node.forCount === curForNode.forCount) {\n          // Leaf node\n          const w = observable(widgetProps[node.id]);\n          w.id = node.id;\n          if (node === curForNode) {\n            w._disposers = [];\n          }\n          widgets[node.id] = w;\n          w._listeners = new EventProxy();\n          // 提供一个给 Node 挂载 API 的方式\n          untracked(() => {\n            w.getConfig = () => ({}); // 兼容非复合组件调用 getConfig 能力\n            w.findWidgets = (type, includeInvisibleDescendants) =>\n              findWidgets(w, w.widgetType, type, includeInvisibleDescendants);\n            w.getWidgetsByType = (type, includeInvisibleDescendants) =>\n              w.findWidgets((currentWidget) => currentWidget.widgetType === type, includeInvisibleDescendants);\n            w.extends = (name, fnOrData) =>\n              Object.defineProperty(w, name, {\n                value: fnOrData,\n                writable: true,\n              });\n            w.on = (name, listener) => w._listeners.on(name, listener);\n            w.off = (name, listener) => w._listeners.cancel(name, listener);\n            w.getOwnerWidget = () => null; // 默认带上一个 widget\n            w._getInstanceRef = () => null; // 默认初始值\n            Object.defineProperty(w, '_methods', {\n              get() {\n                const instance = w._getInstanceRef();\n                return instance?.current.methods;\n              },\n            });\n          });\n          w.children = [];\n          const parent = parentNode ? widgets[parentNode.id] : parentWidget;\n          if (parent) {\n            w.parent = parent;\n            // 只有可显示 visible 的才存入 children 里\n            if (checkVisible(w)) {\n              parent.children.push(w);\n            }\n          }\n          parentLevelWidgets && parentLevelWidgets[node.id].push(w);\n\n          // Setup data binds\n          Object.keys(dataBinds[node.id] || {}).map((prop) => {\n            if (prop === '_waFor') {\n              return;\n            }\n            function getBindData(options = {}) {\n              let disposeError = false;\n              const dispose = autorun(() => {\n                try {\n                  // Computed data bind in the next tick since data bind may read widgets data\n                  w[prop] = dataBinds[node.id][prop](subForItems);\n                  disposeError = false;\n                } catch (e) {\n                  console.warn(`Error computing data bind ${w.id}.${prop}`, e);\n                  if (prop === '_waIf') {\n                    w[prop] = false;\n                  } else {\n                    options.showLog && console.warn(e);\n                    retryQueue.push(getBindData);\n                    disposeError = true;\n                  }\n                }\n              });\n              if (!disposeError && curForNode.id) {\n                widgets[curForNode.id]._disposers.push(dispose);\n              }\n            }\n            getBindData();\n          });\n        } else {\n          if (parentLevelWidgets) {\n            const len = parentLevelWidgets[node.id].push([]);\n            widgets[node.id] = parentLevelWidgets[node.id][len - 1];\n          } else {\n            widgets[node.id] = observable([]);\n          }\n        }\n      });\n\n      // run for of next level\n      dfsTree(curForNode, (node, parentNode) => {\n        if (node.forCount === curForNode.forCount + 1 && dataBinds[node.id] && dataBinds[node.id]._waFor) {\n          widgets[node.id]._disposers = { dataBinds: [] };\n          const dispose = runFor(node, subForItems, widgets, node.parent && widgets[node.parent.id]);\n          curForNode.id && widgets[curForNode.id]._disposers.push(dispose);\n        }\n      });\n\n      return widgets;\n    }\n  }\n}\n\n/**\n * Add parent, children to widget\n */\nfunction createWidgetTree(widgets, dataBinds) {\n  const virtualRoot = { children: [], forCount: 0 };\n  const nodes = Object.keys(widgets).reduce((result, id) => {\n    result[id] = {\n      id,\n      value: widgets[id],\n      children: [],\n      parent: null,\n      forCount: 0,\n    };\n    return result;\n  }, {});\n\n  // Create widgets tree API\n  Object.keys(nodes).map((id) => {\n    const curNode = nodes[id];\n    const parent = nodes[widgets[id]._parentId];\n    if (!parent) {\n      virtualRoot.children.push(curNode);\n      return;\n    }\n    curNode.parent = parent;\n    parent.children.push(curNode);\n  });\n\n  virtualRoot.children.map(addForCount);\n\n  // dfs, add forCount\n  function addForCount(node) {\n    if (node.parent) {\n      node.forCount = node.parent.forCount;\n    }\n    if (dataBinds[node.id] && dataBinds[node.id]._waFor) {\n      node.forCount++;\n    }\n    node.children.map(addForCount);\n  }\n\n  return virtualRoot;\n}\n\nfunction dfsTree(node, fn, parent) {\n  node.value && fn(node, parent);\n  node.children.map((e) => dfsTree(e, fn, node.value ? node : null));\n}\n\n// dispose autorun\nfunction disposeWidgets(widgets = []) {\n  widgets.forEach((widget) => {\n    const disposers = widget._disposers;\n    if (disposers) {\n      disposers.map((dispose) => dispose());\n      disposers.splice(0, disposers.length);\n    }\n    disposeWidgets(widget.children);\n  });\n}\n"
    }
};
